#ifndef __I2C_BB_H__
#define __I2C_BB_H__

#include "includes.h"

#define bool char
#define false 0
#define true 1

void I2CDELAY(void);
bool READSCL(void);
bool READSDA(void);
void CLRSCL(void);
void CLRSDA(void);
void ARBITRATION_LOST(void);
void i2c_start_cond(void);
void i2c_stop_cond(void);
void i2c_write_bit(bool bit);
bool i2c_read_bit(void);
bool i2c_write_byte(bool send_start, bool send_stop, unsigned char byte); 
unsigned char i2c_read_byte(bool nack, bool send_stop);
void i2c_del(void);
void i2c_sdel(void);
void i2cReadReg8bb(unsigned char device_addr, unsigned char sub_addr, unsigned char *data_buffer);
void i2cWriteReg8bb(unsigned char device_addr, unsigned char sub_addr, unsigned char value);

#endif // __I2C_BB_H__
